Package org.lwjgl.opengl

# Class ARBTransposeMatrix

java.lang.Object
org.lwjgl.opengl.ARBTransposeMatrix

public final class ARBTransposeMatrix extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TRANSPOSE_COLOR_MATRIX_ARB`
`static final int`
`GL_TRANSPOSE_MODELVIEW_MATRIX_ARB`
`static final int`
`GL_TRANSPOSE_PROJECTION_MATRIX_ARB`
`static final int`
`GL_TRANSPOSE_TEXTURE_MATRIX_ARB`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glLoadTransposeMatrixARB(FloatBuffer pfMtx)`
`static void`
`glMultTransposeMatrixARB(FloatBuffer pfMtx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TRANSPOSE_MODELVIEW_MATRIX_ARB

public static final int GL_TRANSPOSE_MODELVIEW_MATRIX_ARB

See Also:
  - Constant Field Values

### GL_TRANSPOSE_PROJECTION_MATRIX_ARB

public static final int GL_TRANSPOSE_PROJECTION_MATRIX_ARB

See Also:
  - Constant Field Values

### GL_TRANSPOSE_TEXTURE_MATRIX_ARB

public static final int GL_TRANSPOSE_TEXTURE_MATRIX_ARB

See Also:
  - Constant Field Values

### GL_TRANSPOSE_COLOR_MATRIX_ARB

public static final int GL_TRANSPOSE_COLOR_MATRIX_ARB

See Also:
  - Constant Field Values

## Method Details

### glLoadTransposeMatrixARB

public static void glLoadTransposeMatrixARB(FloatBuffer pfMtx)

### glMultTransposeMatrixARB

public static void glMultTransposeMatrixARB(FloatBuffer pfMtx)